LinkText (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.link
Class LinkText

    java.lang.Object
      com.bbn.openmap.layer.link.LinkText

All Implemented Interfaces:
  LinkGraphicConstants, LinkPropertiesConstants

    public class LinkText

extends java.lang.Object
implements LinkGraphicConstants, LinkPropertiesConstants

Field Summary
`static java.lang.String` | `DEFAULT_FONT`

Fields inherited from interface com.bbn.openmap.layer.link.LinkGraphicConstants
`BASELINE_BOTTOM, BASELINE_MIDDLE, BASELINE_TOP, BLACK_COLOR_STRING, CLEAR_COLOR_STRING, COLORMODEL_DIRECT, COLORMODEL_INDEXED, COLORMODEL_URL, COLUMN_MAJOR, COORDMODE_ORIGIN, COORDMODE_PREVIOUS, DECIMAL_DEGREES, GRAPHICTYPE_ARC, GRAPHICTYPE_BITMAP, GRAPHICTYPE_CIRCLE, GRAPHICTYPE_ELLIPSE, GRAPHICTYPE_GRAPHIC, GRAPHICTYPE_GRID, GRAPHICTYPE_LINE, GRAPHICTYPE_POINT, GRAPHICTYPE_POLY, GRAPHICTYPE_RASTER, GRAPHICTYPE_RECTANGLE, GRAPHICTYPE_TEXT, JUSTIFY_CENTER, JUSTIFY_LEFT, JUSTIFY_RIGHT, KM, LINETYPE_GREATCIRCLE, LINETYPE_RHUMB, LINETYPE_STRAIGHT, LINETYPE_UNKNOWN, MILES, NMILES, RADIANS, RENDERTYPE_LATLON, RENDERTYPE_OFFSET, RENDERTYPE_UNKNOWN, RENDERTYPE_XY, ROW_MAJOR`

Fields inherited from interface com.bbn.openmap.layer.link.LinkPropertiesConstants
`LPC_BACKWARD_DIAG_PATTERN, LPC_CENTER_LAT, LPC_CENTER_LONG, LPC_CLEAR_PROPERTIES, LPC_CLEAR_PROPERTIES_CHAR, LPC_CROSS_PATTERN, LPC_DASH, LPC_DASH_DOT, LPC_DASH_DOT_DOT, LPC_DIAG_CROSS_PATTERN, LPC_DOT, LPC_FILLCOLOR, LPC_FILLPATTERN, LPC_FORWARD_DIAG_PATTERN, LPC_GRAPHICID, LPC_HEIGHT, LPC_HIGHLIGHTCOLOR, LPC_HORIZONTAL_PATTERN, LPC_HTML, LPC_INFO, LPC_LATMAX, LPC_LATMIN, LPC_LINECOLOR, LPC_LINESTYLE, LPC_LINEWIDTH, LPC_LINKRASTERIMAGEURL, LPC_LINKROTATION, LPC_LINKTEXTBASELINE, LPC_LINKTEXTFONT, LPC_LINKTEXTSTRING, LPC_LONG_DASH, LPC_LONMAX, LPC_LONMIN, LPC_MESSAGE, LPC_OLD_FILLCOLOR, LPC_OLD_FILLPATTERN, LPC_OLD_HIGHLIGHTCOLOR, LPC_OLD_LINECOLOR, LPC_OLD_LINESTYLE, LPC_OLD_LINEWIDTH, LPC_OLD_LINKTEXTFONT, LPC_OLD_LINKTEXTSTRING, LPC_PROJECTION, LPC_PROPERY_MANAGEMENT_POLICY, LPC_PROPERY_MANAGEMENT_POLICY_CHAR, LPC_REUSE_PROPERTIES, LPC_REUSE_PROPERTIES_CHAR, LPC_SCALE, LPC_SOLID, LPC_SOLID_PATTERN, LPC_TIME, LPC_URL, LPC_VERTICAL_PATTERN, LPC_WIDTH`

Constructor Summary
`LinkText()`

Method Summary
`static OMText` | `read(java.io.DataInputStream dis)` Read the DataInputStream to create a OMText.
`static OMText` | `read(java.io.DataInputStream dis, LinkProperties propertiesBuffer)` Read the DataInputStream to create a OMText.
`static void` | `write(float latPoint, float lonPoint, int offset_x1, int offset_y1, java.lang.String stuff, java.lang.String font, int just, LinkProperties properties, java.io.DataOutputStream dos)` Rendertype is RENDERTYPE_OFFSET.
`static void` | `write(float latPoint, float lonPoint, java.lang.String stuff, java.lang.String font, int just, LinkProperties properties, java.io.DataOutputStream dos)` Creates a text object, with Lat/Lon placement.
`static void` | `write(int x1, int y1, java.lang.String stuff, java.lang.String font, int just, LinkProperties properties, java.io.DataOutputStream dos)` Creates a text object, with XY placement, and default SansSerif font.
`static void` | `write(OMText text, Link link, LinkProperties props)` Write a text to the link.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_FONT

    public static java.lang.String DEFAULT_FONT

Constructor Detail

### LinkText

    public LinkText()

Method Detail

### write

    public static void write(float latPoint,
                             float lonPoint,
                             java.lang.String stuff,
                             java.lang.String font,
                             int just,
                             LinkProperties properties,
                             java.io.DataOutputStream dos)
                      throws java.io.IOException

  Creates a text object, with Lat/Lon placement.

  Parameters:
    `latPoint` - latitude of the string, in decimal degrees.
    `lonPoint` - longitude of the string, in decimal degrees.
    `stuff` - the string to be displayed.
    `font` - the Font description for the string.
    `just` - the justification of the string.
    `properties` - attributes for the graphic.
    `dos` - DataOutputStream
  Throws:
    `java.io.IOException`

### write

    public static void write(int x1,
                             int y1,
                             java.lang.String stuff,
                             java.lang.String font,
                             int just,
                             LinkProperties properties,
                             java.io.DataOutputStream dos)
                      throws java.io.IOException

  Creates a text object, with XY placement, and default SansSerif font.

  Parameters:
    `x1` - horizontal window pixel location of the string.
    `y1` - vertical window pixel location of the string.
    `stuff` - the string to be displayed.
    `font` - the Font description for the string.
    `just` - the justification of the string
    `properties` - attributes for the graphic.
    `dos` - DataOutputStream
  Throws:
    `java.io.IOException`

### write

    public static void write(float latPoint,
                             float lonPoint,
                             int offset_x1,
                             int offset_y1,
                             java.lang.String stuff,
                             java.lang.String font,
                             int just,
                             LinkProperties properties,
                             java.io.DataOutputStream dos)
                      throws java.io.IOException

  Rendertype is RENDERTYPE_OFFSET.

  Parameters:
    `latPoint` - latitude of center of text/ellipse.
    `lonPoint` - longitude of center of text/ellipse.
    `offset_x1` - # pixels to the right the center will be moved from lonPoint.
    `offset_y1` - # pixels down that the center will be moved from latPoint.
    `stuff` - the string to be displayed.
    `font` - the Font description for the string.
    `just` - the justification of the string.
    `properties` - attributes for the graphic.
    `dos` - DataOutputStream
  Throws:
    `java.io.IOException`

### write

    public static void write(OMText text,
                             Link link,
                             LinkProperties props)
                      throws java.io.IOException

  Write a text to the link.

  Throws:
    `java.io.IOException`

### read

    public static OMText read(java.io.DataInputStream dis)
                       throws java.io.IOException

  Read the DataInputStream to create a OMText. Assumes the LinkText header has already been read.

  Parameters:
    `dis` - DataInputStream
  Returns:
    OMText
  Throws:
    `java.io.IOException`
  See Also:
    `OMText`

### read

    public static OMText read(java.io.DataInputStream dis,
                              LinkProperties propertiesBuffer)
                       throws java.io.IOException

  Read the DataInputStream to create a OMText. Assumes the LinkText header has already been read.

  Parameters:
    `dis` - DataInputStream
    `propertiesBuffer` - a LinkProperties object used to cache previous settings that can be set on the OMText being read.
  Returns:
    OMText
  Throws:
    `java.io.IOException`
  See Also:
    `OMText`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details